Bug 1284376 - [ALL LANG] Unlocalized strings in Data Object editor page.
[ALL LANG] Unlocalized strings in Data Object editor page.
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
medium Severity medium
: DR2
: 6.3.0
Assigned To: Walter Medvedeo
jsoltes
: Translation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 03:16 EST by Lijun Li
Modified: 2016-03-02 10:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unlocalized strings in Data Object editor page (122.78 KB, image/png)
2015-11-23 03:17 EST, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2015-11-23 03:16:33 EST
Description of problem:
Unlocalized strings in Data Object editor page

Version-Release number of selected component (if applicable):
6.2.0.ER 5

How reproducible:
100%

Steps to Reproduce:
1. Login bpms with no en_US locale.
2. Click Authoring-> Project Authoring from top menu bar.
3. Click New Item -> Data Object
4. Enter the name and OK.
5. Click add field in editor page.

Actual results:
Unlocalized strings/dialog in Data Object editor page

Expected results:
Those strings/dialog should be fully localized.

Additional info:
Please see the attached screen-shot.
Comment 1 Lijun Li 2015-11-23 03:17 EST
Created attachment 1097591 [details]
Unlocalized strings in Data Object editor page
Comment 3 Walter Medvedeo 2016-02-11 04:53:06 EST
The missing i18n constants for the reported screenshot were added both in master and 6.4.x branches

master:
 
https://github.com/droolsjbpm/kie-wb-common/commit/fe98abdcecebb709f0eb76fd887fa1556f097328


6.4.x:

https://github.com/droolsjbpm/kie-wb-common/commit/fab970448b97d838614f8cf9f4af8450271c455e
Comment 4 jsoltes 2016-03-02 10:16:40 EST
Issue is still present in bpm-suite 6.3.0.DR2.

Note You need to log in before you can comment on or make changes to this bug.